Subject: bug#53667: emacs on Apple M1

From: Daniel Martín <[email-masked]>
Date: Wed, 02 Feb 2022 18:00:33 +0100

Enrico Onofri <[email-masked]> writes:

> Hi, sorry for my obscure message. The fact is that I’m trying to compile Aquamacs (aquamacs.org) from its
> git repository. Latest version is 3.6  (GNU emacs 23.50.1). The
> application can be downloaded from the aquamacs site, but I want to
> compile it on my new Mac as a check of its capabilities as a whole. It
> stops with the warning
> "configure: error: Emacs does not support 'arm-apple-darwin21.3.0' systems.
> If you think it should, please send a report to [email-masked].
> Check 'etc/MACHINES' for recognized configuration names."
> Now I do not know whether is responsibility the developer of aquamacs, and I issued this bug# to try to understand. I tend to believe that it’s responsibility of aquamacs… Best wishes, E.O.
>

Yes, I think you should raise this issue with the Aquamacs developers
first.  I compiled GNU Emacs on an Apple M1 the other day without any
problems.